NCHECK(8)

NAME
ncheck - generate names from i-numbers

SYNOPSIS
/usr/etc/ncheck [ -i numbers ] [ -as ] filesystem

DESCRIPTION

Note:
    For most normal file system maintenance, the function of ncheck is subsumed by fsck(8).

ncheck generates a pathname versus i-number list of files for the indicated filesystem. Names of directory files are followed by `.'

The report is in no useful order, and probably should be sorted.

OPTIONS

-i numbers
    Report only those files whose i-numbers follow.

-a  Print the names `.' and `..', which are ordinarily suppressed.

-s  Report only special files and files with set-user-ID mode. This is intended to discover concealed violations of security policy.

SEE ALSO
sort(1V), dcheck(8), fsck(8), icheck(8)

DIAGNOSTICS
When the filesystem structure is improper, `??' denotes the ``parent'' of a parentless file and a pathname beginning with `...' denotes a loop.